Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataVehicles.cs	(revision 484)
@@ -34,17 +34,17 @@
         public enum TableColumn
         {
             /// <summary>
-            /// 作成者コード
+            /// 工事番号
             /// </summary>
-            PersonCode,
+            ConstructionCode,
             /// <summary>
             /// 日報作成日
             /// </summary>
             DailyDataDate,
             /// <summary>
-            /// 工事番号
+            /// 作成者コード
             /// </summary>
-            ConstructionCode,
+            PersonCode,
             /// <summary>
             /// 明細行番号
             /// </summary>
@@ -102,24 +102,31 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            strcmd.Append("SELECT ");
 
-            strcmd.Append("  PersonCode");                                          // 担当者コード
-            strcmd.Append(", DATE_FORMAT(DailyDataDate, '%Y/%m/%d')");              // 日報作成日
-            strcmd.Append(", ConstructionCode");                                    // 工事番号
-            strcmd.Append(", SeqNo");                                               // 明細行番号
+            bool bColFirst = true;
+            string strWork = string.Empty;
+            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+            {
+                strWork = gender.ToString();
+                if (!bColFirst) strcmd.Append(",");
+                if (strWork.Equals("StartWorkingTime") || strWork.Equals("EndWorkingTime")
+                 || strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                }
+                else if (strWork.Equals("DailyDataDate"))
+                {
+                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
+                }
+                else
+                {
+                    strcmd.AppendFormat(" {0}", strWork);
+                }
+                bColFirst = false;
+            }
 
-            strcmd.Append(", Model");                                               // 機種
-            strcmd.Append(", Performance");                                         // 性能
-            strcmd.Append(", Owner");                                               // 所有会社
-            strcmd.Append(", Driver");                                              // 当日運転者
-            strcmd.Append(", DATE_FORMAT(StartWorkingTime, '%Y/%m/%d %H:%i:%s')");  // 作業時間開始
-            strcmd.Append(", DATE_FORMAT(EndWorkingTime, '%Y/%m/%d %H:%i:%s')");    // 作業時間終了
-
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");         // 登録年月日
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");        // 更新年月日
             strcmd.Append(" FROM DailyDataVehicles");
 
             return strcmd.ToString();
@@ -215,15 +222,15 @@
                 }
                 strcmd.Append(") VALUES (");
 
-                strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd.AppendFormat("  {0}", work.ConstructionCode);                    // 工事番号
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
-                strcmd.AppendFormat(", {0}", work.SeqNo);                           // 明細行番号
-                strcmd.AppendFormat(",'{0}'", work.Model);                          // 機種
-                strcmd.AppendFormat(",'{0}'", work.Performance);                    // 性能
-                strcmd.AppendFormat(",'{0}'", work.Owner);                          // 所有会社
-                strcmd.AppendFormat(",'{0}'", work.Driver);                         // 当日運転者
+                strcmd.AppendFormat(", {0}", work.PersonCode);                          // 担当者コード
+                strcmd.AppendFormat(", {0}", work.SeqNo);                               // 明細行番号
+                strcmd.AppendFormat(", {0}", SeparateString(work.Model));               // 機種
+                strcmd.AppendFormat(", {0}", SeparateString(work.Performance));         // 性能
+                strcmd.AppendFormat(", {0}", SeparateString(work.Owner));               // 所有会社
+                strcmd.AppendFormat(", {0}", SeparateString(work.Driver));              // 当日運転者
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                             , work.StartWorkingTime.ToString());        // 作業時間開始
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
@@ -268,15 +275,15 @@
                     if (bDataFirst) strcmd.Append(" (");
                     else strcmd.Append(", (");
 
-                    strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode);                    // 工事番号
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.DailyDataDate.ToShortDateString());  // 日報作成日
-                    strcmd.AppendFormat(", {0}", work.ConstructionCode);                // 工事番号
-                    strcmd.AppendFormat(", {0}", work.SeqNo);                           // 明細行番号
-                    strcmd.AppendFormat(",'{0}'", work.Model);                          // 機種
-                    strcmd.AppendFormat(",'{0}'", work.Performance);                    // 性能
-                    strcmd.AppendFormat(",'{0}'", work.Owner);                          // 所有会社
-                    strcmd.AppendFormat(",'{0}'", work.Driver);                         // 当日運転者
+                    strcmd.AppendFormat(", {0}", work.PersonCode);                          // 担当者コード
+                    strcmd.AppendFormat(", {0}", work.SeqNo);                               // 明細行番号
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Model));               // 機種
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Performance));         // 性能
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Owner));               // 所有会社
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Driver));              // 当日運転者
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                                 , work.StartWorkingTime.ToString());        // 作業時間開始
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
@@ -318,16 +325,16 @@
 
                 strcmd.Append(" SET");
 
-                strcmd.AppendFormat(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);          // 工事番号
                 strcmd.AppendFormat(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.DailyDataDate.ToShortDateString());              // 日報作成日
-                strcmd.AppendFormat(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd.AppendFormat(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
+                strcmd.AppendFormat(",PersonCode = {0}", data.PersonCode);                      // 担当者コード
+                strcmd.AppendFormat(",SeqNo =  {0} ", data.SeqNo);                              // 明細行番号
 
-                strcmd.AppendFormat(",TodayWork = '{0}'", data.Model);                       // 機種
-                strcmd.AppendFormat(",TodayWork = '{0}'", data.Performance);                 // 性能
-                strcmd.AppendFormat(",TodayWork = '{0}'", data.Owner);                       // 所有会社
-                strcmd.AppendFormat(",TodayWork = '{0}'", data.Driver);                      // 当日運転者
+                strcmd.AppendFormat(",TodayWork =  {0}", SeparateString(data.Model));           // 機種
+                strcmd.AppendFormat(",TodayWork =  {0}", SeparateString(data.Performance));     // 性能
+                strcmd.AppendFormat(",TodayWork =  {0}", SeparateString(data.Owner));           // 所有会社
+                strcmd.AppendFormat(",TodayWork =  {0}", SeparateString(data.Driver));          // 当日運転者
                 strcmd.AppendFormat(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                         , data.StartWorkingTime.ToString());                    // 作業時間開始
                 strcmd.AppendFormat(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
@@ -386,9 +393,9 @@
             try
             {
                 // データ取得
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());         // 工事番号
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());          // 日報作成日
                 wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());                     // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)TableColumn.DailyDataDate].ToString());          // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());         // 工事番号
                 wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                               // 明細行番号
                 
                 wrk.Model = objwrk[(int)TableColumn.Model].ToString();                                          // 機種
@@ -416,21 +423,18 @@
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
-        /// <param name="PersonCode"></param>
-        /// <param name="ActionDate"></param>
-        /// <param name="DataType"></param>
-        /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime DailyDataDetailDate, int ConstructionCode, int SeqNo)
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime DailyDataDetailDate, int PersonCode = 0, int SeqNo = 0)
         {
             StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork.AppendFormat(" WHERE PersonCode = {0}", PersonCode);
+                strWork.Append(" WHERE");
+                strWork.AppendFormat(" ConstructionCode = {0}", ConstructionCode);
                 if (DailyDataDetailDate != DateTime.MinValue)
                     strWork.AppendFormat(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
-                if (ConstructionCode != 0)
-                    strWork.AppendFormat(" AND ConstructionCode = {0}", ConstructionCode);
+                if (PersonCode != 0)
+                    strWork.AppendFormat(" And PersonCode = {0}", PersonCode);
                 if (SeqNo != 0)
                     strWork.AppendFormat(" AND SeqNo = {0}", SeqNo);
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs	(revision 484)
@@ -127,7 +127,7 @@
                     strcmd.AppendFormat("  {0}", work.LabourKind.ToString());
                     strcmd.AppendFormat(", {0}", work.DeadLine.ToString());
                     strcmd.AppendFormat(", {0}", work.PayDay.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.Note.ToString());
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
                     strcmd.Append(", NOW()");
@@ -165,7 +165,7 @@
                 strcmd.AppendFormat(" LabourKind = {0}", data.LabourKind.ToString());
                 strcmd.AppendFormat(",DeadLine = {0}", data.DeadLine.ToString());
                 strcmd.AppendFormat(",PayDay = {0}", data.PayDay.ToString());
-                strcmd.AppendFormat(",Note = '{0}'", data.Note);
+                strcmd.AppendFormat(",Note = {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
                 strcmd.Append(", UpdateDate = NOW()");
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositApprovalInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositApprovalInfo.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositApprovalInfo.cs	(revision 484)
@@ -221,7 +221,7 @@
                     strcmd.AppendFormat(", {0}", data.LineCount.ToString());
                     strcmd.AppendFormat(", {0}", data.ApprovalNo.ToString());
                     strcmd.AppendFormat(", {0}", data.ApprovalPerson.ToString());
-                    strcmd.AppendFormat(", '{0}'", data.ApprovalPersonName.ToString());
+                    strcmd.AppendFormat(", {0}", SeparateString(data.ApprovalPersonName));
                     strcmd.AppendFormat(", {0}", data.ApprovalAuthority.ToString());
                     strcmd.AppendFormat(", DATE_FORMAT('{0}','%Y%m%d')", data.ApprovalDate.ToString());
                     strcmd.Append(", NOW()");
@@ -264,7 +264,7 @@
                 strcmd.AppendFormat(",LineCount = {0}", data.LineCount.ToString());
                 strcmd.AppendFormat(",ApprovalNo = {0}", data.ApprovalNo.ToString());
                 strcmd.AppendFormat(",ApprovalPerson = {0}", data.ApprovalPerson.ToString());
-                strcmd.AppendFormat(",ApprovalPersonName = '{0}'", data.ApprovalPersonName.ToString());
+                strcmd.AppendFormat(",ApprovalPersonName = {0}", SeparateString(data.ApprovalPersonName));
                 strcmd.AppendFormat(",ApprovalAuthority = {0}", data.ApprovalAuthority.ToString());
                 strcmd.AppendFormat(",ApprovalDate = DATE_FORMAT('{0}','%Y%m%d')", data.ApprovalDate.ToString());
                 strcmd.Append(", UpdateDate = NOW()");
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs	(revision 484)
@@ -66,6 +66,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("DepositDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 入金データ検索文字列作成
         /// <summary>
         /// 入金データ検索文字列作成
@@ -75,34 +117,18 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM DepositData", CreateFieldNameList());
 
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("DepositDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
             }
-
-            strcmd.Append(" FROM DepositData");
-
-            return strcmd.ToString();
         }
         #endregion
 
@@ -229,7 +255,7 @@
                     strcmd.AppendFormat(", {0}", work.CnstrPrice.ToString());
                     strcmd.AppendFormat(", {0}", work.RemainingClearing.ToString());
                     strcmd.AppendFormat(", {0}", work.DepositPersonCode.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.Note.ToString());
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                     strcmd.Append(", NOW()");
                     strcmd.Append(", NOW()");
                     strcmd.Append(")");
@@ -286,7 +312,7 @@
                 strcmd.AppendFormat(", {0}", data.CnstrPrice.ToString());
                 strcmd.AppendFormat(", {0}", data.RemainingClearing.ToString());
                 strcmd.AppendFormat(", {0}", data.DepositPersonCode.ToString());
-                strcmd.AppendFormat(", '{0}'", data.Note.ToString());
+                strcmd.AppendFormat(", {0}", SeparateString(data.Note));
                 strcmd.Append(", NOW()");
                 strcmd.Append(", NOW()");
                 strcmd.Append(")");
@@ -334,7 +360,7 @@
                 strcmd.AppendFormat(",CnstrPrice = {0}", data.CnstrPrice.ToString());
                 strcmd.AppendFormat(",RemainingClearing = {0}", data.RemainingClearing.ToString());
                 strcmd.AppendFormat(",DepositPersonCode =  {0}", data.DepositPersonCode.ToString());
-                strcmd.AppendFormat(",Note =  '{0}'", data.Note.ToString());
+                strcmd.AppendFormat(",Note =  {0}", SeparateString(data.Note));
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
 
@@ -503,7 +529,7 @@
                         strcmd.AppendFormat(" DepositPersonCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.Note:
-                        strcmd.AppendFormat(" Note = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Note = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs	(revision 484)
@@ -69,17 +69,17 @@
 
         #endregion
 
-        #region SELECT　SQL作成
+        #region テーブルのフィールドリストを作成する
         /// <summary>
-        /// SQL作成
+        /// テーブルのフィールドリストを作成する
         /// </summary>
-        private string CreateSelectSQL()
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
         {
             StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd.Append("SELECT ");
-
+                strcmd.Append(" ");
                 bool bColFirst = true;
                 string strWork = string.Empty;
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
@@ -88,21 +88,40 @@
                     if (!bColFirst) strcmd.Append(",");
                     if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
                     {
-                        strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
                     }
                     else if (strWork.Equals("ConfirmationDate"))
                     {
-                        strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d')", strWork);
+                        strcmd.AppendFormat(" DATE({0}{1}) As {1}", strAlias, strWork);
                     }
                     else
                     {
-                        strcmd.AppendFormat(" {0}", strWork);
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
                     }
                     bColFirst = false;
                 }
 
-                strcmd.Append(" FROM DepositDataDetail");
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
 
+        #region SELECT　SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM DepositDataDetail", CreateFieldNameList());
+
                 return strcmd.ToString();
             }
             catch (Exception ex)
@@ -198,7 +217,7 @@
                     strcmd.AppendFormat(", {0}", work.ConfirmationPersonCode.ToString());
                     strcmd.AppendFormat(", DATE_FORMAT('{0}','%Y/%m/%d')", work.ConfirmationDate.ToShortDateString());
                     strcmd.AppendFormat(", {0}", work.ConfirmationEndFlg.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.Note.ToString());
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                     strcmd.Append(", NOW()");
                     strcmd.Append(", NOW()");
                     strcmd.Append(")");
@@ -257,7 +276,7 @@
                 strcmd.AppendFormat(", {0}", data.ConfirmationPersonCode.ToString());
                 strcmd.AppendFormat(", DATE_FORMAT('{0}','%Y/%m/%d')", data.ConfirmationDate.ToShortDateString());
                 strcmd.AppendFormat(", {0}", data.ConfirmationEndFlg.ToString());
-                strcmd.AppendFormat(", '{0}'", data.Note.ToString());
+                strcmd.AppendFormat(", {0}", SeparateString(data.Note));
                 strcmd.Append(", NOW()");
                 strcmd.Append(", NOW()");
                 strcmd.Append(")");
@@ -308,7 +327,7 @@
                 strcmd.AppendFormat(",ConfirmationPersonCode = {0}", data.ConfirmationPersonCode.ToString());
                 strcmd.AppendFormat(",ConfirmationDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.ConfirmationDate.ToShortDateString());
                 strcmd.AppendFormat(",ConfirmationEndFlg = {0}", data.ConfirmationEndFlg.ToString());
-                strcmd.AppendFormat(",Note = '{0}'", data.Note.ToString());
+                strcmd.AppendFormat(",Note = {0}", SeparateString(data.Note));
                 strcmd.Append(", UpdateDate = NOW()");
 
                 strcmd.Append(AddSQLString);
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudgetDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudgetDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudgetDetail.cs	(revision 484)
@@ -196,11 +196,11 @@
                 strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
                 strcmd.AppendFormat(", {0}", work.ItemCode);		        // 工種キー
                 strcmd.AppendFormat(", {0}", work.CompanyCode);             // 協力会社コード
-                strcmd.AppendFormat(",'{0}'", work.FirstString);            // 構成名称
-                strcmd.AppendFormat(",'{0}'", work.SecondString);           // 工種名称・協力会社名
+                strcmd.AppendFormat(", {0}", SeparateString(work.FirstString));     // 構成名称
+                strcmd.AppendFormat(", {0}", SeparateString(work.SecondString));    // 工種名称・協力会社名
                 strcmd.AppendFormat(", {0}", work.EstimatePrice);           // 見積時金額
                 strcmd.AppendFormat(", {0}", work.NegotiationPrice);        // 交渉時金額
-                strcmd.AppendFormat(",'{0}'", work.Notes);                  // 注意事項
+                strcmd.AppendFormat(", {0}", SeparateString(work.Notes));           // 注意事項
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -253,11 +253,11 @@
                     strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
                     strcmd.AppendFormat(", {0}", work.ItemCode);		        // 工種キー
                     strcmd.AppendFormat(", {0}", work.CompanyCode);             // 協力会社コード
-                    strcmd.AppendFormat(",'{0}'", work.FirstString);            // 構成名称
-                    strcmd.AppendFormat(",'{0}'", work.SecondString);           // 工種名称・協力会社名
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FirstString));     // 構成名称
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SecondString));    // 工種名称・協力会社名
                     strcmd.AppendFormat(", {0}", work.EstimatePrice);           // 見積時金額
                     strcmd.AppendFormat(", {0}", work.NegotiationPrice);        // 交渉時金額
-                    strcmd.AppendFormat(",'{0}'", work.Notes);                  // 注意事項
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Notes));           // 注意事項
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -302,11 +302,11 @@
                 strcmd.AppendFormat(", ComponentCode = {0}", data.ComponentCode);               // 構成キー
                 strcmd.AppendFormat(", ItemCode = {0}", data.ItemCode);		                    // 工種キー
                 strcmd.AppendFormat(", CompanyCode = {0}", data.CompanyCode);                   // 協力会社コード
-                strcmd.AppendFormat(", FirstString = '{0}'", data.FirstString);                 // 構成名称
-                strcmd.AppendFormat(", SecondString = '{0}'", data.SecondString);               // 工種名称・協力会社名
+                strcmd.AppendFormat(", FirstString = {0}", SeparateString(data.FirstString));   // 構成名称
+                strcmd.AppendFormat(", SecondString = {0}", SeparateString(data.SecondString)); // 工種名称・協力会社名
                 strcmd.AppendFormat(", EstimatePrice = {0}", data.EstimatePrice);               // 見積時金額
                 strcmd.AppendFormat(", NegotiationPrice = {0}", data.NegotiationPrice);         // 交渉時金額
-                strcmd.AppendFormat(", Notes = '{0}'", data.Notes);                             // 注意事項
+                strcmd.AppendFormat(", Notes = {0}", SeparateString(data.Notes));               // 注意事項
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -384,10 +384,10 @@
                         strcmd.AppendFormat(" CompanyCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.FirstString:          // 構成名称
-                        strcmd.AppendFormat(" FirstString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" FirstString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.SecondString:         // 工種名称・協力会社名
-                        strcmd.AppendFormat(" SecondString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SecondString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.EstimatePrice:        // 見積時金額
                         strcmd.AppendFormat(" EstimatePrice = {0}", ((int)value).ToString());
@@ -396,7 +396,7 @@
                         strcmd.AppendFormat(" NegotiationPrice = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.Notes:                // 注意事項
-                        strcmd.AppendFormat(" Notes = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Notes = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
